import AppHeader from "@comp/AppHeader/page";
import TaskCard from "@comp/TaskCard/page";
import PersianNumber from "plugins/PersianNumber";
import React from "react";

const CompleteShift = () => {
  const data = [1, 2, 3, 4, 5, 8];
  return (
    <div className="pb-20">
      <AppHeader
        title=" عملیات بستن شیفت"
        sub="عملیات بستن شیفت برای بررسی تکمیل وظایف"
        icon2={true}
        iconName2="ARROW"
        iconHref2="/home"
      />

      <div className="bg-body-100 relative top-[-30px] rounded-t-3xl overflow-hidden p-4 rtl">
        {" "}
        <div>
          <h4 className="text-base  font-bold text-primary-200">
            فعالیت های انجام شده{" "}
          </h4>
          <p className="mb-0 text-sm  text-gray-500">
            در این شیفت
            <strong className="mx-1 text-primary-300">
              <PersianNumber number={24} />
            </strong>
            فعالیت از
            <strong className="mx-1 text-primary-300">
              <PersianNumber number={3} />
            </strong>
            نفر انجام شده است
          </p>
        </div>
        {data.map((e) => (
          <TaskCard />
        ))}
      </div>
    </div>
  );
};

export default CompleteShift;
