export const PersianM = (month) => {
  console.log("montssh", month);
  switch (month) {
    case (month = "1"):
      return "month";
    case (month = "2"):
      return "اردیبهشت";
    case (month = "3"):
      return "خرداد";
    case (month = "4"):
      return " تیر";
    case (month = "5"):
      return "آمرداد";
    case (month = "6"):
      return "شهریور";
    case (month = "7"):
      return "مهر";
    case (month = "8"):
      return "آبان";
    case (month = "9"):
      return "آذر";
    case (month = "10"):
      return "دی";
    case (month = "11"):
      return "بهمن";
    case (month = "12"):
      return "اسفند";
    default:
      return "ماه";
  }
};

export const PersianDay = (dayOfWeek) => {
  switch (dayOfWeek) {
    case (dayOfWeek = "Sunday"):
      return "یکشنبه";
    case (dayOfWeek = "Monday"):
      return "دوشنبه";
    case (dayOfWeek = "Tuesday"):
      return "سه شنبه";
    case (dayOfWeek = "Wednesday"):
      return "چهار شنبه";
    case (dayOfWeek = "Thursday"):
      return "پنج شنبه";
    case (dayOfWeek = "Friday"):
      return "جمعه";
    case (dayOfWeek = "Saturday"):
      return "شنبه";
    default:
      return null;
  }
};
//Solution to find holidays in persian calendar
//https://www.time.ir/fa/eventyear-%D8%AA%D9%82%D9%88%DB%8C%D9%85-%D8%B3%D8%A7%D9%84%DB%8C%D8%A7%D9%86%D9%87
// Array.from(document.querySelectorAll("li[class='eventHoliday ']"),(node=> ({date:'1402/'+( Array.from(document.querySelectorAll("div[class='col-md-12']>div>div>span>span>span"),node=>node.innerText).findIndex(x=>x === node.innerText.split(" ")[1]) +1).toString() +"/"+node.innerText.split(" ")[0].replace(/[۰-۹]/g, d => '۰۱۲۳۴۵۶۷۸۹'.indexOf(d)),description:node.innerText.split(" ").slice(2).join(" ")}) ))
export const holidays = {
  y1404: [
    {
      date: "1404/1/1",
      description: "جشن نوروز/جشن سال نو",
    },
    {
      date: "1404/1/2",
      description: "عیدنوروز",
    },
    {
      date: "1404/1/2",
      description: "شهادت حضرت علی علیه السلام [ ٢١ رمضان ]",
    },
    {
      date: "1404/1/3",
      description: "عیدنوروز",
    },
    {
      date: "1404/1/4",
      description: "عیدنوروز",
    },
    {
      date: "1404/1/11",
      description: "عید سعید فطر [ ١ شوال ]",
    },
    {
      date: "1404/1/12",
      description: "روز جمهوری اسلامی",
    },
    {
      date: "1404/1/12",
      description: "تعطیل به مناسبت عید سعید فطر [ ٢ شوال ]",
    },
    {
      date: "1404/1/13",
      description: "جشن سیزده به در",
    },
    {
      date: "1404/2/4",
      description: "شهادت امام جعفر صادق علیه السلام [ ٢٥ شوال ]",
    },
    {
      date: "1404/3/14",
      description: "رحلت حضرت امام خمینی",
    },
    {
      date: "1404/3/15",
      description: "قیام 15 خرداد",
    },
    {
      date: "1404/3/17",
      description: "عید سعید قربان [ ١٠ ذوالحجه ]",
    },
    {
      date: "1404/3/25",
      description: "عید سعید غدیر خم [ ١٨ ذوالحجه ]",
    },
    {
      date: "1404/4/14",
      description: "تاسوعای حسینی [ ٩ محرم ]",
    },
    {
      date: "1404/4/15",
      description: "عاشورای حسینی [ ١٠ محرم ]",
    },
    {
      date: "1404/5/24",
      description: "اربعین حسینی [ ٢٠ صفر ]",
    },
    {
      date: "1404/6/1",
      description: "رحلت رسول اکرم؛شهادت امام حسن مجتبی علیه السلام [ ٢٨ صفر ]",
    },
    {
      date: "1404/6/2",
      description: "شهادت امام رضا علیه السلام [ ٢٩ صفر ]",
    },
    {
      date: "1404/6/10",
      description: "شهادت امام حسن عسکری علیه السلام [ ٨ ربيع الاول ]",
    },
    {
      date: "1404/6/19",
      description:
        "میلاد رسول اکرم و امام جعفر صادق علیه السلام [ ١٧ ربيع الاول ]",
    },
    {
      date: "1404/9/4",
      description: "شهادت حضرت فاطمه زهرا سلام الله علیها [ ٣ جمادي الثانيه ]",
    },
    {
      date: "1404/10/13",
      description: "ولادت امام علی علیه السلام و روز پدر [ ١٣ رجب ]",
    },
    {
      date: "1404/10/27",
      description: "مبعث رسول اکرم (ص) [ ٢٧ رجب ]",
    },
    {
      date: "1404/11/15",
      description:
        "ولادت حضرت قائم عجل الله تعالی فرجه و جشن نیمه شعبان [ ١٥ شعبان ]",
    },
    {
      date: "1404/11/22",
      description: "پیروزی انقلاب اسلامی",
    },
    {
      date: "1404/12/20",
      description: "شهادت حضرت علی علیه السلام [ ٢١ رمضان ]",
    },
    {
      date: "1404/12/29",
      description: "روز ملی شدن صنعت نفت ایران",
    },
  ],
  y1403: [
    {
      date: "1403/1/1",
      description: "جشن نوروز/جشن سال نو",
    },
    {
      date: "1403/1/2",
      description: "عیدنوروز",
    },
    {
      date: "1403/1/3",
      description: "عیدنوروز",
    },
    {
      date: "1403/1/4",
      description: "عیدنوروز",
    },
    {
      date: "1403/1/12",
      description: "روز جمهوری اسلامی",
    },
    {
      date: "1403/1/13",
      description: "جشن سیزده به در",
    },
    {
      date: "1403/1/13",
      description: "شهادت حضرت علی علیه السلام [ ٢١ رمضان ]",
    },
    {
      date: "1403/1/23",
      description: "عید سعید فطر [ ١ شوال ]",
    },
    {
      date: "1403/1/24",
      description: "تعطیل به مناسبت عید سعید فطر [ ٢ شوال ]",
    },
    {
      date: "1403/2/16",
      description: "شهادت امام جعفر صادق علیه السلام [ ٢٥ شوال ]",
    },
    {
      date: "1403/3/14",
      description: "رحلت حضرت امام خمینی",
    },
    {
      date: "1403/3/15",
      description: "قیام 15 خرداد",
    },
    {
      date: "1403/3/28",
      description: "عید سعید قربان [ ١٠ ذوالحجه ]",
    },
    {
      date: "1403/4/5",
      description: "عید سعید غدیر خم [ ١٨ ذوالحجه ]",
    },
    {
      date: "1403/4/26",
      description: "تاسوعای حسینی [ ٩ محرم ]",
    },
    {
      date: "1403/4/27",
      description: "عاشورای حسینی [ ١٠ محرم ]",
    },
    {
      date: "1403/6/4",
      description: "اربعین حسینی [ ٢٠ صفر ]",
    },
    {
      date: "1403/6/12",
      description: "رحلت رسول اکرم؛شهادت امام حسن مجتبی علیه السلام [ ٢٨ صفر ]",
    },
    {
      date: "1403/6/14",
      description: "شهادت امام رضا علیه السلام [ ٣٠ صفر ]",
    },
    {
      date: "1403/6/22",
      description: "شهادت امام حسن عسکری علیه السلام [ ٨ ربيع الاول ]",
    },
    {
      date: "1403/6/31",
      description:
        "میلاد رسول اکرم و امام جعفر صادق علیه السلام [ ١٧ ربيع الاول ]",
    },
    {
      date: "1403/9/15",
      description: "شهادت حضرت فاطمه زهرا سلام الله علیها [ ٣ جمادي الثانيه ]",
    },
    {
      date: "1403/10/25",
      description: "ولادت امام علی علیه السلام و روز پدر [ ١٣ رجب ]",
    },
    {
      date: "1403/11/9",
      description: "مبعث رسول اکرم (ص) [ ٢٧ رجب ]",
    },
    {
      date: "1403/11/22",
      description: "پیروزی انقلاب اسلامی",
    },
    {
      date: "1403/11/27",
      description:
        "ولادت حضرت قائم عجل الله تعالی فرجه و جشن نیمه شعبان [ ١٥ شعبان ]",
    },
    {
      date: "1403/12/29",
      description: "روز ملی شدن صنعت نفت ایران",
    },
    {
      date: "1403/12/30",
      description: "آخرین روز سال",
    },
  ],
  y1402: [
    {
      date: "1402/1/1",
      description: "جشن نوروز/جشن سال نو",
    },
    {
      date: "1402/1/2",
      description: "عیدنوروز",
    },
    {
      date: "1402/1/3",
      description: "عیدنوروز",
    },
    {
      date: "1402/1/4",
      description: "عیدنوروز",
    },
    {
      date: "1402/1/12",
      description: "روز جمهوری اسلامی",
    },
    {
      date: "1402/1/13",
      description: "جشن سیزده به در",
    },
    {
      date: "1402/1/23",
      description: "شهادت حضرت علی علیه السلام [ ٢١ رمضان ]",
    },
    {
      date: "1402/2/2",
      description: "عید سعید فطر [ ١ شوال ]",
    },
    {
      date: "1402/2/3",
      description: "تعطیل به مناسبت عید سعید فطر [ ٢ شوال ]",
    },
    {
      date: "1402/2/26",
      description: "شهادت امام جعفر صادق علیه السلام [ ٢٥ شوال ]",
    },
    {
      date: "1402/3/14",
      description: "رحلت حضرت امام خمینی",
    },
    {
      date: "1402/3/15",
      description: "قیام 15 خرداد",
    },
    {
      date: "1402/4/8",
      description: "عید سعید قربان [ ١٠ ذوالحجه ]",
    },
    {
      date: "1402/4/16",
      description: "عید سعید غدیر خم [ ١٨ ذوالحجه ]",
    },
    {
      date: "1402/5/5",
      description: "تاسوعای حسینی [ ٩ محرم ]",
    },
    {
      date: "1402/5/6",
      description: "عاشورای حسینی [ ١٠ محرم ]",
    },
    {
      date: "1402/6/15",
      description: "اربعین حسینی [ ٢٠ صفر ]",
    },
    {
      date: "1402/6/23",
      description: "رحلت رسول اکرم؛شهادت امام حسن مجتبی علیه السلام [ ٢٨ صفر ]",
    },
    {
      date: "1402/6/25",
      description: "شهادت امام رضا علیه السلام [ ٣٠ صفر ]",
    },
    {
      date: "1402/7/2",
      description: "شهادت امام حسن عسکری علیه السلام [ ٨ ربيع الاول ]",
    },
    {
      date: "1402/7/11",
      description:
        "میلاد رسول اکرم و امام جعفر صادق علیه السلام [ ١٧ ربيع الاول ]",
    },
    {
      date: "1402/9/26",
      description: "شهادت حضرت فاطمه زهرا سلام الله علیها [ ٣ جمادي الثانيه ]",
    },
    {
      date: "1402/11/5",
      description: "ولادت امام علی علیه السلام و روز پدر [ ١٣ رجب ]",
    },
    {
      date: "1402/11/19",
      description: "مبعث رسول اکرم (ص) [ ٢٧ رجب ]",
    },
    {
      date: "1402/11/22",
      description: "پیروزی انقلاب اسلامی",
    },
    {
      date: "1402/12/6",
      description:
        "ولادت حضرت قائم عجل الله تعالی فرجه و جشن نیمه شعبان [ ١٥ شعبان ]",
    },
    {
      date: "1402/12/29",
      description: "روز ملی شدن صنعت نفت ایران",
    },
  ],
};
