import AppHeader from "@comp/AppHeader/page";
import Buttonbriz from "plugins/Buttonbriz/page";
import Input from "plugins/Input/page";
import React from "react";

const AddBuy = () => {
  return (
    <div className="pb-20">
      <AppHeader
        title=" افزودن یک خرید جدید"
        sub=" قابلیت افزودن فعالیت جدید مختلف"
        icon2={true}
        iconName2="ARROW"
        iconHref2="/home"
      />

      <div className="bg-body-100 relative top-[-30px] rounded-t-3xl overflow-hidden p-4 rtl">
        <div>
          <div>
            <div className="">
              <Input
                lable="نام کالا"
                id="commodityName-id"
                name="commodityName"
                type={"text"}
              />
            </div>
          </div>

          <div className="">
            <Input
              lable="توضیحاتـ خرید"
              id="commodityDetail-id"
              name="commodityDetail"
              type={"text"}
              textarea={true}
            />
          </div>

          <div className="">
            <Input
              lable="تاریخ مورد نظر برای خرید"
              id="commodityDate-id"
              name="commodityDate"
              type={"text"}
              mt="3"
            />
          </div>
        </div>

        <Buttonbriz title="ثبت خرید" color="PRIMARY" icon="CHECK" />
      </div>
    </div>
  );
};

export default AddBuy;
